@import "variables/colors";
@import "variables/font";

// TODO VALIDATE

.profile-info {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  &__data {
    .merchant-data {
      margin: 1rem 0;
      display: flex;
      gap: 1rem;
      &__info {
        .item {
          &__title {
            font-family: $roboto-regular;
          }
          &__description {
            font-family: $roboto-bold;
          }
        }

        .name {
          font-size: 20px;
          padding: 0;
          margin: 0;
          font-family: $roboto-bold;
        }
      }
      &__icon {
        margin: 0 0 auto 0;
        width: 28px;
      }
    }
  }
  &__dates {
    display: flex;
    flex-direction: column;
    .item {
      text-align: right;
    }
  }
  .loader {
    display: flex;
    flex-direction: column;
    gap: 5px;

    &.dates {
      align-items: flex-end;
    }
  }

  .item {
    padding: 0;
    margin: 0;
    font-size: 14px;
    &__title {
      font-family: $roboto-bold;
    }
    &__description {
      font-family: $roboto-regular;
    }
  }
}
